#include "OgreBspHierarchyInterface.h"
#include "OgreVisibilityOctreeSceneManager.h"

//#include <windows.h>

namespace Ogre {

//-----------------------------------------------------------------------
BspHierarchyInterface::BspHierarchyInterface(SceneManager *sm, RenderSystem *rsys): 
PlatformHierarchyInterface(sm, rsys)
{
}
//-----------------------------------------------------------------------
void BspHierarchyInterface::TraverseNode(GtpVisibility::HierarchyNode *node)
{
}
//-----------------------------------------------------------------------
bool BspHierarchyInterface::IsLeaf(GtpVisibility::HierarchyNode *node) const
{
	return true;
}
//-----------------------------------------------------------------------
bool BspHierarchyInterface::HasGeometry(GtpVisibility::HierarchyNode *node) const
{
	return true;
}
//-----------------------------------------------------------------------
float BspHierarchyInterface::GetSquaredDistance(GtpVisibility::HierarchyNode *node) const
{
	return 0.0f;
}
//-----------------------------------------------------------------------
void BspHierarchyInterface::SetNodeVisible(GtpVisibility::HierarchyNode *node, 
										   const bool visible) const
{
}
//-----------------------------------------------------------------------
void BspHierarchyInterface::SetLastVisited(GtpVisibility::HierarchyNode *node, 
										   const unsigned int frameId) const
{
}
//-----------------------------------------------------------------------
void BspHierarchyInterface::PullUpVisibility(GtpVisibility::HierarchyNode *node) const
{		
}
//-----------------------------------------------------------------------
void BspHierarchyInterface::RenderNode(GtpVisibility::HierarchyNode *node)
{
}
//-----------------------------------------------------------------------
bool BspHierarchyInterface::IsNodeVisible(GtpVisibility::HierarchyNode *node) const
{
	return true;
}
//-----------------------------------------------------------------------
unsigned int BspHierarchyInterface::LastVisited(GtpVisibility::HierarchyNode *node) const
{
	return 0;
}
//-----------------------------------------------------------------------
AxisAlignedBox *BspHierarchyInterface::GetBoundingBox(GtpVisibility::HierarchyNode *node)
{
	return NULL;
}

} // namespace Ogre
